Bug 43344 - authconfig confused about /etc/sysconfig/authconfig
Summary: authconfig confused about /etc/sysconfig/authconfig
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: authconfig   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-03 14:29 UTC by Jonathan Kamens
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-03 15:00:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2001-06-03 14:29:12 UTC
The man page for the authconfig command in authconfig-4.1.6-1 claims that
it edits the file /etc/sysconfig/auth, but in fact it appears to edit
/etc/sysconfig/authconfig.

Also, I can't find any evidence that anything actually uses the
information, or at least some  of it, that's put into this configuration
file.  For example, what uses "USEMD5"?  A pointer would be appreciated.

Comment 1 Jonathan Kamens 2001-06-03 14:29:56 UTC
One more thing I forgot to mention.... Although the authconfig program creates
or edits the file /etc/sysconfig/authconfig, it isn't included in the RPM, i.e.,
when it's first created, the RPM database has no idea what package to associate
it with.

Comment 2 Jonathan Kamens 2001-06-03 14:59:56 UTC
Also, it appears that authconfig creates /etc/ldap.conf and /etc/yp.conf, and
they aren't listed in its RPM either.


Comment 3 Nalin Dahyabhai 2001-06-26 05:57:31 UTC
The package will own the file, and the man page will be corrected in 4.1.10.

The /etc/ldap.conf and /etc/yp.conf files are owned by the nss_ldap and ypbind
packages, respectively, but authconfig will write out empty files if they are
not installed.

The /etc/sysconfig/authconfig file is used to track configuration settings
which can not be determined by examining the filesystem.  For example, you can
determine if a system is using Shadow by checking if there's a file named
/etc/shadow, but you can't easily determine if a system is configured to use
MD5 passwords (the fallback mechanism, scanning /etc/pam.d/system-auth, is not
as dependable).


Note You need to log in before you can comment on or make changes to this bug.